Bug 193984 - class driver suspend failed for cpu0
class driver suspend failed for cpu0
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Dave Jones
Brian Brock
Depends On:
  Show dependency treegraph
Reported: 2006-06-03 18:16 EDT by Kevin Larkin
Modified: 2015-01-04 17:27 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2006-11-24 18:01:58 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Kevin Larkin 2006-06-03 18:16:51 EDT
When the laptop is booted on battery power, and I login to gnome, then close the
lid, I get the following error on a black screen (it appears to exit gnome?)

stopping tasks:==================================================:
class driver suspend failed for cpu0
could not power down device <NULL>: error -22
some devices failed to power down.

This is a dell inspiron 1000 with a sis 650 chipset

No pcmcia cards are plugged in, and no usb devices are present.

This error ONLY occurs when the laptop has been booted on battery power.  If the
laptop is booted on AC power, and I close the lid, I get a login screen to gnome.

[root@hondalap1 ~]# uname -a
Linux hondalap1 2.6.16-1.2122_FC5 #1 Sun May 21 15:01:01 EDT 2006 i686 i686 i386
Comment 1 Kevin Larkin 2006-06-03 18:27:45 EDT
I need to update the conditions under which this crash occurs.  

It happens when the laptop is booted with battery power, AND, it happens if the
laptop is booted on AC power, I disconnect the power, then close the lid.
Comment 2 Dave Jones 2006-10-16 20:30:25 EDT
A new kernel update has been released (Version: 2.6.18-1.2200.fc5)
based upon a new upstream kernel release.

Please retest against this new kernel, as a large number of patches
go into each upstream release, possibly including changes that
may address this problem.

This bug has been placed in NEEDINFO state.
Due to the large volume of inactive bugs in bugzilla, if this bug is
still in this state in two weeks time, it will be closed.

Should this bug still be relevant after this period, the reporter
can reopen the bug at any time. Any other users on the Cc: list
of this bug can request that the bug be reopened by adding a
comment to the bug.

In the last few updates, some users upgrading from FC4->FC5
have reported that installing a kernel update has left their
systems unbootable. If you have been affected by this problem
please check you only have one version of device-mapper & lvm2
installed.  See bug 207474 for further details.

If this bug is a problem preventing you from installing the
release this version is filed against, please see bug 169613.

If this bug has been fixed, but you are now experiencing a different
problem, please file a separate bug for the new problem.

Thank you.
Comment 3 Dave Jones 2006-11-24 18:01:58 EST
This bug has been mass-closed along with all other bugs that
have been in NEEDINFO state for several months.

Due to the large volume of inactive bugs in bugzilla, this
is the only method we have of cleaning out stale bug reports
where the reporter has disappeared.

If you can reproduce this bug after installing all the
current updates, please reopen this bug.

If you are not the reporter, you can add a comment requesting
it be reopened, and someone will get to it asap.

Thank you.

Note You need to log in before you can comment on or make changes to this bug.